Link an existing deployed contract to the organization for tokenization.
cURL
curl --request POST \ --url https://sandbox.oumla.com/api/v1/tokenization/tokens/link \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --header 'x-sdk-version: <x-sdk-version>' \ --data ' { "networkId": "<string>", "contractAddress": "<string>", "type": "<string>", "refId": "<string>", "displayName": "<string>" } '
{ "link": { "id": "<string>", "status": "<string>", "type": "<string>", "displayName": "<string>", "tokenMetadata": { "name": "<string>", "symbol": "<string>", "decimals": 123, "standard": "<string>", "network": "<string>", "contractAddress": "<string>", "contractTemplateId": "<string>", "contractDeploymentId": "<string>", "addressId": "<string>" } } }
API key for authentication
SDK version header
Contract linked
Show child attributes
Was this page helpful?